summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Hahler2017-06-24 21:12:04 +0200
committerDaniel Hahler2017-06-24 21:12:47 +0200
commit6593f820d2b32fadf878e6946f3b14db9aeb7627 (patch)
tree6366d24bef954d349c76684d64b9056cc0f23acf
parent2c8d8545f193aa7f0d718169d2d11b7edf3aecbe (diff)
downloadaur-6593f820d2b32fadf878e6946f3b14db9aeb7627.tar.gz
makedepends: lua-penlight-git since lua-penlight is ood
lua-penlight 1.5.0 breaks building the docs and is marked out-of-date since >2 months already.. :/
-rw-r--r--.SRCINFO1
-rw-r--r--PKGBUILD2
2 files changed, 2 insertions, 1 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 114abb95f24..56d70c3e7cd 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -13,6 +13,7 @@ pkgbase = awesome-luajit-git
makedepends = imagemagick
makedepends = ldoc
makedepends = xmlto
+ makedepends = lua-penlight-git
depends = cairo
depends = dbus
depends = gdk-pixbuf2
diff --git a/PKGBUILD b/PKGBUILD
index b19316e66e7..a2a13746384 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -14,7 +14,7 @@ depends=('cairo' 'dbus' 'gdk-pixbuf2' 'libxdg-basedir' 'libxkbcommon-x11'
'luajit' 'luajit-lgi' 'pango' 'startup-notification' 'xcb-util-cursor'
'xcb-util-keysyms' 'xcb-util-xrm' 'xcb-util-wm')
makedepends=('asciidoc' 'cmake' 'docbook-xsl' 'git' 'imagemagick' 'ldoc'
- 'xmlto')
+ 'xmlto' 'lua-penlight-git')
optdepends=('rlwrap: readline support for awesome-client'
'dex: autostart your desktop files'
'vicious: widgets for the Awesome window manager')